GuidesAPI Reference
API Reference

Creates a connector

Registers a cloud-to-cloud connector between the HERE Tracking project projectId and an external cloud using the cloud-to-cloud driver driverId and the external cloud access credentials.

Query Params
string
length between 1 and 50

Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

Body Params
string
required
length between 1 and 100

Name of the connector.

string
length ≤ 200

Brief description of the connector.

externalCloudInfo
object
required

An external cloud-specific object that the driver will use to login to the external cloud. The structure of this object varies per driver implementation. It is recommended to have dedicated credentials for logging in to the external cloud in order not to violate possible concurrent users policies of the external cloud. In case of the HERE Tracking loopback driver, the maximum allowed concurrent user account tokens is 3 per account, therefore it is recommended to create a separate HERE account and grant it the required privilege to update the connector's project, and use that account in externalCloudInfo.

string
required
length between 1 and 50

Identifier of the driver.

integer
≥ 60

This is the interval (in seconds) to execute the sync process between the connector's external cloud and HERE Tracking project. The maximum and at the same time default value for callback-type connectors is 900 seconds. The default value for other type of connectors is 3600 seconds and there is no maximum value set.

boolean
required

Enabled state of the connector. If set to false then the connector will not execute periodically.

string
enum

Status of the connector creation. When the status is started, re-check the status later again. The actual connector can be used only when the creation status is 'completed'.

Allowed:
Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json